Debian Bug report logs - #693675
ITP: pushy - a simple interface for connecting two python interpreters

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Gerhard Loschwitz <madkiss@debian.org>

Date: Mon, 19 Nov 2012 07:51:02 UTC

Owned by: Martin Loschwitz <madkiss@debian.org>

Severity: wishlist

Fixed in version python-pushy/0.5.1-1

Done: Martin Loschwitz <madkiss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#693675; Package wnpp. (Mon, 19 Nov 2012 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Gerhard Loschwitz <madkiss@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Mon, 19 Nov 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Gerhard Loschwitz <madkiss@debian.org>
To: submit@bugs.debian.org
Subject: ITP: pushy - a simple interface for connecting two python interpreters
Date: Mon, 19 Nov 2012 08:46:17 +0100
Package: wnpp
Severity: wishlist
Owner: Martin Loschwitz <madkiss@debian.org>

* Package name    : pushy
  Version         : 0.5.1
  Upstream Author : Andrew Wilkins <axwalk@gmail.com>
* URL             : http://packages.python.org/pushy/
* License         : MIT
  Programming Lang: Python
  Description     : a simple interface for connecting two python interpreters

Pushy provides applicaton developers with a simple interface for 
connecting two Python interpreters, either on the local host, or 
over a network. Once connected, the interpreters may access objects 
in each other, as if they were local. Where objects are mutable 
(i.e. may change over time), then objects are “proxied”. This means
that a local object is created that mirrors the remote object, 
and sends all local function/attribute access calls to the remote 
object. Special care has been taken to proxy builtin types properly, 
so that proxied objects may be passed to Python’s various builtin 
functions.

Pushy contains multiple transports for connecting interpreters, as
well as a means for users to provide their own transport modules. 
Builtin transports are provided for connecting to local interpreters, 
and to remote interpreters via SSH, named pipes (using SMB) on 
Microsoft Windows, and over plain old TCP/IP sockets (using daemon).

One of the most useful features of Pushy is that it will take care 
of starting the target Python interpreter for you, depending on 
which transport is selected. Of particular note, the SSH transport 
will start a remote Python interpreter and initialise a Pushy 
connection, without having Pushy installed on the remote system. 
Similarly, the local transport will create a new Python interpreter
on the local host.

-- 
Martin Gerhard Loschwitz
Debian GNU/Linux Developer



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Martin Loschwitz <madkiss@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 17:03:31 GMT) Full text and rfc822 format available.

Notification sent to Martin Gerhard Loschwitz <madkiss@debian.org>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 17:03:31 GMT) Full text and rfc822 format available.

Message #12 received at 693675-close@bugs.debian.org (full text, mbox):

From: Martin Loschwitz <madkiss@debian.org>
To: 693675-close@bugs.debian.org
Subject: Bug#693675: fixed in python-pushy 0.5.1-1
Date: Sat, 08 Dec 2012 17:00:07 +0000
Source: python-pushy
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
python-pushy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693675@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Loschwitz <madkiss@debian.org> (supplier of updated python-pushy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Nov 2012 07:37:32 +0000
Source: python-pushy
Binary: python-pushy
Architecture: source amd64
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Martin Loschwitz <madkiss@debian.org>
Changed-By: Martin Loschwitz <madkiss@debian.org>
Description: 
 python-pushy - Simple interface for connecting two python interpreters
Closes: 693675
Changes: 
 python-pushy (0.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #693675)
Checksums-Sha1: 
 ad536d99d7ce880a8b072ffb9b11ffe89fad93d8 1163 python-pushy_0.5.1-1.dsc
 2920f4296985851c533c11992cfa3ef1657a0cc9 25466 python-pushy_0.5.1.orig.tar.bz2
 9b703bb8fcb0f3065027e311ae8e44ca9acea8cb 2627 python-pushy_0.5.1-1.debian.tar.gz
 7f176e87dacd6cce77febec5b720f7311e13c21c 57582 python-pushy_0.5.1-1_amd64.deb
Checksums-Sha256: 
 d41630a8d75a623510d658386935adbb64f088817f3fdc8bf1dd9bbfb1acbd65 1163 python-pushy_0.5.1-1.dsc
 4030bab9f1459fa4beecf6d5ee81b561461bae15154b7835d72a3dcac96fd2fb 25466 python-pushy_0.5.1.orig.tar.bz2
 f72725af9535c837d83ca6ac94553b68d1866e7b2af48a998acfd3007ce24c40 2627 python-pushy_0.5.1-1.debian.tar.gz
 f974b7cf18a7a9aba530c2529bda10c3e861d432e5b0be8f56cdaaf6361c31fc 57582 python-pushy_0.5.1-1_amd64.deb
Files: 
 4a7f6725c1aa07f6ca869ed37bf0976e 1163 python optional python-pushy_0.5.1-1.dsc
 2421b5f6551cfcb681d3565966972402 25466 python optional python-pushy_0.5.1.orig.tar.bz2
 133fa893550331ef5772eaef4a916446 2627 python optional python-pushy_0.5.1-1.debian.tar.gz
 1a1bebf377d444d909881abb7ba39248 57582 python optional python-pushy_0.5.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCp6fsACgkQHPo+jNcUXjDf5ACfdMrRk2UsTtbWPT33YAmjOyVX
5TkAnie+elK/yjBOKQSb3tfGKTFdGYzN
=ITyL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:28:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:21:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.